Skip to main content
GET
/
api
/
svc
/
v1
/
mcp
/
{mcpServerId}
Get MCP server
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "fqn": "my-tenant:mcp-server:filesystem-tools",
    "tenantName": "<string>",
    "manifest": {
      "name": "<string>",
      "description": "<string>",
      "url": "<string>",
      "collaborators": [
        {
          "subject": "<string>",
          "role_id": "<string>"
        }
      ],
      "tls_settings": {
        "reject_unauthorized": true,
        "ca_cert": "<string>"
      },
      "tool_settings": [
        {
          "name": "<string>",
          "description": "<string>",
          "disabled": true
        }
      ],
      "auth_data": {
        "headers": {},
        "auth_level": "global"
      },
      "ownedBy": {
        "account": "<string>"
      },
      "tags": {}
    },
    "createdBySubject": {
      "subjectId": "<string>",
      "subjectSlug": "<string>",
      "subjectDisplayName": "<string>",
      "subjectPatName": "<string>",
      "subjectControllerName": "<string>",
      "subjectExternalIdentitySlug": "<string>"
    },
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "proxyUrl": "<string>",
    "isAuthOverrideSupported": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mcpServerId
string
required

MCP server id (the id returned by GET /v1/mcp, not the name).

Example:

"mcp-01HXYZ..."

Query Parameters

resolveTools
boolean | null
default:false

Resolve tools for the MCP server. Only applies to server types that persist tools (e.g. OpenAPIMCPServer). Defaults to false.

Response

MCP server.

data
MCPServerV2 · object
required

MCP Server